Imported Upstream version 1.49.1
[platform/upstream/gobject-introspection.git] / tests / scanner / annotationparser / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # -*- Mode: make -*-
18 # Copyright 2009-2010 Johan Dahlin
19 #
20 # This file defines variables that are compatible with
21 # Makefile.introspection, but for use within the gobject-introspection
22 # module itself.
23 #
24 VPATH = @srcdir@
25 am__is_gnu_make = { \
26   if test -z '$(MAKELEVEL)'; then \
27     false; \
28   elif test -n '$(MAKE_HOST)'; then \
29     true; \
30   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
31     true; \
32   else \
33     false; \
34   fi; \
35 }
36 am__make_running_with_option = \
37   case $${target_option-} in \
38       ?) ;; \
39       *) echo "am__make_running_with_option: internal error: invalid" \
40               "target option '$${target_option-}' specified" >&2; \
41          exit 1;; \
42   esac; \
43   has_opt=no; \
44   sane_makeflags=$$MAKEFLAGS; \
45   if $(am__is_gnu_make); then \
46     sane_makeflags=$$MFLAGS; \
47   else \
48     case $$MAKEFLAGS in \
49       *\\[\ \   ]*) \
50         bs=\\; \
51         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
52           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
53     esac; \
54   fi; \
55   skip_next=no; \
56   strip_trailopt () \
57   { \
58     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
59   }; \
60   for flg in $$sane_makeflags; do \
61     test $$skip_next = yes && { skip_next=no; continue; }; \
62     case $$flg in \
63       *=*|--*) continue;; \
64         -*I) strip_trailopt 'I'; skip_next=yes;; \
65       -*I?*) strip_trailopt 'I';; \
66         -*O) strip_trailopt 'O'; skip_next=yes;; \
67       -*O?*) strip_trailopt 'O';; \
68         -*l) strip_trailopt 'l'; skip_next=yes;; \
69       -*l?*) strip_trailopt 'l';; \
70       -[dEDm]) skip_next=yes;; \
71       -[JT]) skip_next=yes;; \
72     esac; \
73     case $$flg in \
74       *$$target_option*) has_opt=yes; break;; \
75     esac; \
76   done; \
77   test $$has_opt = yes
78 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
79 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
80 pkgdatadir = $(datadir)/@PACKAGE@
81 pkgincludedir = $(includedir)/@PACKAGE@
82 pkglibdir = $(libdir)/@PACKAGE@
83 pkglibexecdir = $(libexecdir)/@PACKAGE@
84 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
85 install_sh_DATA = $(install_sh) -c -m 644
86 install_sh_PROGRAM = $(install_sh) -c
87 install_sh_SCRIPT = $(install_sh) -c
88 INSTALL_HEADER = $(INSTALL_DATA)
89 transform = $(program_transform_name)
90 NORMAL_INSTALL = :
91 PRE_INSTALL = :
92 POST_INSTALL = :
93 NORMAL_UNINSTALL = :
94 PRE_UNINSTALL = :
95 POST_UNINSTALL = :
96 build_triplet = @build@
97 host_triplet = @host@
98 subdir = tests/scanner/annotationparser
99 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
100 am__aclocal_m4_deps = $(top_srcdir)/m4/gtk-doc.m4 \
101         $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
102         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
103         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/python.m4 \
104         $(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
105 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
106         $(ACLOCAL_M4)
107 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
108 mkinstalldirs = $(install_sh) -d
109 CONFIG_HEADER = $(top_builddir)/config.h
110 CONFIG_CLEAN_FILES =
111 CONFIG_CLEAN_VPATH_FILES =
112 AM_V_P = $(am__v_P_@AM_V@)
113 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
114 am__v_P_0 = false
115 am__v_P_1 = :
116 AM_V_GEN = $(am__v_GEN_@AM_V@)
117 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
118 am__v_GEN_0 = @echo "  GEN     " $@;
119 am__v_GEN_1 = 
120 AM_V_at = $(am__v_at_@AM_V@)
121 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
122 am__v_at_0 = @
123 am__v_at_1 = 
124 SOURCES =
125 DIST_SOURCES =
126 am__can_run_installinfo = \
127   case $$AM_UPDATE_INFO_DIR in \
128     n|no|NO) false;; \
129     *) (install-info --version) >/dev/null 2>&1;; \
130   esac
131 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
132 am__tty_colors_dummy = \
133   mgn= red= grn= lgn= blu= brg= std=; \
134   am__color_tests=no
135 am__tty_colors = { \
136   $(am__tty_colors_dummy); \
137   if test "X$(AM_COLOR_TESTS)" = Xno; then \
138     am__color_tests=no; \
139   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
140     am__color_tests=yes; \
141   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
142     am__color_tests=yes; \
143   fi; \
144   if test $$am__color_tests = yes; then \
145     red='\e[0;31m'; \
146     grn='\e[0;32m'; \
147     lgn='\e[1;32m'; \
148     blu='\e[1;34m'; \
149     mgn='\e[0;35m'; \
150     brg='\e[1m'; \
151     std='\e[m'; \
152   fi; \
153 }
154 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
155 am__vpath_adj = case $$p in \
156     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
157     *) f=$$p;; \
158   esac;
159 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
160 am__install_max = 40
161 am__nobase_strip_setup = \
162   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
163 am__nobase_strip = \
164   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
165 am__nobase_list = $(am__nobase_strip_setup); \
166   for p in $$list; do echo "$$p $$p"; done | \
167   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
168   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
169     if (++n[$$2] == $(am__install_max)) \
170       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
171     END { for (dir in files) print dir, files[dir] }'
172 am__base_list = \
173   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
174   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
175 am__uninstall_files_from_dir = { \
176   test -z "$$files" \
177     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
178     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
179          $(am__cd) "$$dir" && rm -f $$files; }; \
180   }
181 am__recheck_rx = ^[     ]*:recheck:[    ]*
182 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
183 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
184 # A command that, given a newline-separated list of test names on the
185 # standard input, print the name of the tests that are to be re-run
186 # upon "make recheck".
187 am__list_recheck_tests = $(AWK) '{ \
188   recheck = 1; \
189   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
190     { \
191       if (rc < 0) \
192         { \
193           if ((getline line2 < ($$0 ".log")) < 0) \
194             recheck = 0; \
195           break; \
196         } \
197       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
198         { \
199           recheck = 0; \
200           break; \
201         } \
202       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
203         { \
204           break; \
205         } \
206     }; \
207   if (recheck) \
208     print $$0; \
209   close ($$0 ".trs"); \
210   close ($$0 ".log"); \
211 }'
212 # A command that, given a newline-separated list of test names on the
213 # standard input, create the global log from their .trs and .log files.
214 am__create_global_log = $(AWK) ' \
215 function fatal(msg) \
216 { \
217   print "fatal: making $@: " msg | "cat >&2"; \
218   exit 1; \
219 } \
220 function rst_section(header) \
221 { \
222   print header; \
223   len = length(header); \
224   for (i = 1; i <= len; i = i + 1) \
225     printf "="; \
226   printf "\n\n"; \
227 } \
228 { \
229   copy_in_global_log = 1; \
230   global_test_result = "RUN"; \
231   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
232     { \
233       if (rc < 0) \
234          fatal("failed to read from " $$0 ".trs"); \
235       if (line ~ /$(am__global_test_result_rx)/) \
236         { \
237           sub("$(am__global_test_result_rx)", "", line); \
238           sub("[        ]*$$", "", line); \
239           global_test_result = line; \
240         } \
241       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
242         copy_in_global_log = 0; \
243     }; \
244   if (copy_in_global_log) \
245     { \
246       rst_section(global_test_result ": " $$0); \
247       while ((rc = (getline line < ($$0 ".log"))) != 0) \
248       { \
249         if (rc < 0) \
250           fatal("failed to read from " $$0 ".log"); \
251         print line; \
252       }; \
253       printf "\n"; \
254     }; \
255   close ($$0 ".trs"); \
256   close ($$0 ".log"); \
257 }'
258 # Restructured Text title.
259 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
260 # Solaris 10 'make', and several other traditional 'make' implementations,
261 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
262 # by disabling -e (using the XSI extension "set +e") if it's set.
263 am__sh_e_setup = case $$- in *e*) set +e;; esac
264 # Default flags passed to test drivers.
265 am__common_driver_flags = \
266   --color-tests "$$am__color_tests" \
267   --enable-hard-errors "$$am__enable_hard_errors" \
268   --expect-failure "$$am__expect_failure"
269 # To be inserted before the command running the test.  Creates the
270 # directory for the log if needed.  Stores in $dir the directory
271 # containing $f, in $tst the test, in $log the log.  Executes the
272 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
273 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
274 # will run the test scripts (or their associated LOG_COMPILER, if
275 # thy have one).
276 am__check_pre = \
277 $(am__sh_e_setup);                                      \
278 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
279 $(am__tty_colors);                                      \
280 srcdir=$(srcdir); export srcdir;                        \
281 case "$@" in                                            \
282   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
283     *) am__odir=.;;                                     \
284 esac;                                                   \
285 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
286   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
287 if test -f "./$$f"; then dir=./;                        \
288 elif test -f "$$f"; then dir=;                          \
289 else dir="$(srcdir)/"; fi;                              \
290 tst=$$dir$$f; log='$@';                                 \
291 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
292   am__enable_hard_errors=no;                            \
293 else                                                    \
294   am__enable_hard_errors=yes;                           \
295 fi;                                                     \
296 case " $(XFAIL_TESTS) " in                              \
297   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
298     am__expect_failure=yes;;                            \
299   *)                                                    \
300     am__expect_failure=no;;                             \
301 esac;                                                   \
302 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
303 # A shell command to get the names of the tests scripts with any registered
304 # extension removed (i.e., equivalently, the names of the test logs, with
305 # the '.log' extension removed).  The result is saved in the shell variable
306 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
307 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
308 # since that might cause problem with VPATH rewrites for suffix-less tests.
309 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
310 am__set_TESTS_bases = \
311   bases='$(TEST_LOGS)'; \
312   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
313   bases=`echo $$bases`
314 RECHECK_LOGS = $(TEST_LOGS)
315 AM_RECURSIVE_TARGETS = check recheck
316 TEST_SUITE_LOG = test-suite.log
317 TEST_EXTENSIONS = @EXEEXT@ .test
318 LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
319 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
320 am__set_b = \
321   case '$@' in \
322     */*) \
323       case '$*' in \
324         */*) b='$*';; \
325           *) b=`echo '$@' | sed 's/\.log$$//'`; \
326        esac;; \
327     *) \
328       b='$*';; \
329   esac
330 am__test_logs1 = $(TESTS:=.log)
331 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
332 TEST_LOGS = $(am__test_logs2:.test.log=.log)
333 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
334 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
335         $(TEST_LOG_FLAGS)
336 am__DIST_COMMON = $(srcdir)/Makefile.in \
337         $(top_srcdir)/build-aux/test-driver $(top_srcdir)/common.mk \
338         README
339 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
340 ACLOCAL = @ACLOCAL@
341 AMTAR = @AMTAR@
342 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
343 AR = @AR@
344 AUTOCONF = @AUTOCONF@
345 AUTOHEADER = @AUTOHEADER@
346 AUTOMAKE = @AUTOMAKE@
347 AWK = @AWK@
348 CAIRO_CFLAGS = @CAIRO_CFLAGS@
349 CAIRO_GIR_PACKAGE = @CAIRO_GIR_PACKAGE@
350 CAIRO_LIBS = @CAIRO_LIBS@
351 CAIRO_SHARED_LIBRARY = @CAIRO_SHARED_LIBRARY@
352 CC = @CC@
353 CCDEPMODE = @CCDEPMODE@
354 CFLAGS = @CFLAGS@
355 CPP = @CPP@
356 CPPFLAGS = @CPPFLAGS@
357 CYGPATH_W = @CYGPATH_W@
358 DEFS = @DEFS@
359 DEPDIR = @DEPDIR@
360 DLLTOOL = @DLLTOOL@
361 DSYMUTIL = @DSYMUTIL@
362 DUMPBIN = @DUMPBIN@
363 ECHO_C = @ECHO_C@
364 ECHO_N = @ECHO_N@
365 ECHO_T = @ECHO_T@
366 EGREP = @EGREP@
367 EXEEXT = @EXEEXT@
368 EXPANDED_BINDIR = @EXPANDED_BINDIR@
369 EXPANDED_DATADIR = @EXPANDED_DATADIR@
370 EXPANDED_LIBDIR = @EXPANDED_LIBDIR@
371 EXPANDED_LIBEXECDIR = @EXPANDED_LIBEXECDIR@
372 EXPANDED_LOCALSTATEDIR = @EXPANDED_LOCALSTATEDIR@
373 EXPANDED_SYSCONFDIR = @EXPANDED_SYSCONFDIR@
374 EXTRA_LINK_FLAGS = @EXTRA_LINK_FLAGS@
375 FFI_CFLAGS = @FFI_CFLAGS@
376 FFI_LIBS = @FFI_LIBS@
377 FFI_PC_CFLAGS = @FFI_PC_CFLAGS@
378 FFI_PC_LIBS = @FFI_PC_LIBS@
379 FFI_PC_PACKAGES = @FFI_PC_PACKAGES@
380 FGREP = @FGREP@
381 GIO_CFLAGS = @GIO_CFLAGS@
382 GIO_LIBS = @GIO_LIBS@
383 GIO_UNIX_CFLAGS = @GIO_UNIX_CFLAGS@
384 GIO_UNIX_LIBS = @GIO_UNIX_LIBS@
385 GIREPO_CFLAGS = @GIREPO_CFLAGS@
386 GIREPO_LIBS = @GIREPO_LIBS@
387 GIR_DIR = @GIR_DIR@
388 GIR_SUFFIX = @GIR_SUFFIX@
389 GI_HIDDEN_VISIBILITY_CFLAGS = @GI_HIDDEN_VISIBILITY_CFLAGS@
390 GI_VERSION = @GI_VERSION@
391 GLIBSRC = @GLIBSRC@
392 GLIB_CFLAGS = @GLIB_CFLAGS@
393 GLIB_LIBS = @GLIB_LIBS@
394 GMODULE_CFLAGS = @GMODULE_CFLAGS@
395 GMODULE_LIBS = @GMODULE_LIBS@
396 GOBJECT_CFLAGS = @GOBJECT_CFLAGS@
397 GOBJECT_INTROSPECTION_LIBDIR = @GOBJECT_INTROSPECTION_LIBDIR@
398 GOBJECT_LIBS = @GOBJECT_LIBS@
399 GREP = @GREP@
400 GTKDOC_CHECK = @GTKDOC_CHECK@
401 GTKDOC_CHECK_PATH = @GTKDOC_CHECK_PATH@
402 GTKDOC_DEPS_CFLAGS = @GTKDOC_DEPS_CFLAGS@
403 GTKDOC_DEPS_LIBS = @GTKDOC_DEPS_LIBS@
404 GTKDOC_MKPDF = @GTKDOC_MKPDF@
405 GTKDOC_REBASE = @GTKDOC_REBASE@
406 HTML_DIR = @HTML_DIR@
407 INSTALL = @INSTALL@
408 INSTALL_DATA = @INSTALL_DATA@
409 INSTALL_PROGRAM = @INSTALL_PROGRAM@
410 INSTALL_SCRIPT = @INSTALL_SCRIPT@
411 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
412 LD = @LD@
413 LDFLAGS = @LDFLAGS@
414 LEX = @LEX@
415 LEXLIB = @LEXLIB@
416 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
417 LIBOBJS = @LIBOBJS@
418 LIBS = @LIBS@
419 LIBTOOL = @LIBTOOL@
420 LIPO = @LIPO@
421 LN_S = @LN_S@
422 LTLIBOBJS = @LTLIBOBJS@
423 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
424 MAINT = @MAINT@
425 MAKEINFO = @MAKEINFO@
426 MANIFEST_TOOL = @MANIFEST_TOOL@
427 MKDIR_P = @MKDIR_P@
428 NM = @NM@
429 NMEDIT = @NMEDIT@
430 OBJDUMP = @OBJDUMP@
431 OBJEXT = @OBJEXT@
432 OTOOL = @OTOOL@
433 OTOOL64 = @OTOOL64@
434 PACKAGE = @PACKAGE@
435 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
436 PACKAGE_NAME = @PACKAGE_NAME@
437 PACKAGE_STRING = @PACKAGE_STRING@
438 PACKAGE_TARNAME = @PACKAGE_TARNAME@
439 PACKAGE_URL = @PACKAGE_URL@
440 PACKAGE_VERSION = @PACKAGE_VERSION@
441 PATH_SEPARATOR = @PATH_SEPARATOR@
442 PKG_CONFIG = @PKG_CONFIG@
443 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
444 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
445 POW_LIB = @POW_LIB@
446 PYTHON = @PYTHON@
447 PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
448 PYTHON_INCLUDES = @PYTHON_INCLUDES@
449 PYTHON_LIBS = @PYTHON_LIBS@
450 PYTHON_PLATFORM = @PYTHON_PLATFORM@
451 PYTHON_PREFIX = @PYTHON_PREFIX@
452 PYTHON_VERSION = @PYTHON_VERSION@
453 RANLIB = @RANLIB@
454 SCANNER_CFLAGS = @SCANNER_CFLAGS@
455 SCANNER_LIBS = @SCANNER_LIBS@
456 SED = @SED@
457 SET_MAKE = @SET_MAKE@
458 SHELL = @SHELL@
459 STRIP = @STRIP@
460 VERSION = @VERSION@
461 YACC = @YACC@
462 abs_builddir = @abs_builddir@
463 abs_srcdir = @abs_srcdir@
464 abs_top_builddir = @abs_top_builddir@
465 abs_top_srcdir = @abs_top_srcdir@
466 ac_ct_AR = @ac_ct_AR@
467 ac_ct_CC = @ac_ct_CC@
468 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
469 am__include = @am__include@
470 am__leading_dot = @am__leading_dot@
471 am__quote = @am__quote@
472 am__tar = @am__tar@
473 am__untar = @am__untar@
474 bindir = @bindir@
475 build = @build@
476 build_alias = @build_alias@
477 build_cpu = @build_cpu@
478 build_os = @build_os@
479 build_vendor = @build_vendor@
480 builddir = @builddir@
481 datadir = @datadir@
482 datarootdir = @datarootdir@
483 docdir = @docdir@
484 dvidir = @dvidir@
485 exec_prefix = @exec_prefix@
486 host = @host@
487 host_alias = @host_alias@
488 host_cpu = @host_cpu@
489 host_os = @host_os@
490 host_vendor = @host_vendor@
491 htmldir = @htmldir@
492 includedir = @includedir@
493 infodir = @infodir@
494 install_sh = @install_sh@
495 libdir = @libdir@
496 libexecdir = @libexecdir@
497 localedir = @localedir@
498 localstatedir = @localstatedir@
499 mandir = @mandir@
500 mkdir_p = @mkdir_p@
501 oldincludedir = @oldincludedir@
502 pdfdir = @pdfdir@
503 pkgpyexecdir = @pkgpyexecdir@
504 pkgpythondir = @pkgpythondir@
505 prefix = @prefix@
506 program_transform_name = @program_transform_name@
507 psdir = @psdir@
508 pyexecdir = @pyexecdir@
509 pythondir = @pythondir@
510 sbindir = @sbindir@
511 sharedstatedir = @sharedstatedir@
512 srcdir = @srcdir@
513 sysconfdir = @sysconfdir@
514 target_alias = @target_alias@
515 top_build_prefix = @top_build_prefix@
516 top_builddir = @top_builddir@
517 top_srcdir = @top_srcdir@
518 INTROSPECTION_SCANNER = \
519     env PATH=".libs:$(PATH)" \
520         LPATH=.libs \
521         CC="$(CC)" \
522         PYTHONPATH=$(top_builddir):$(top_srcdir) \
523         UNINSTALLED_INTROSPECTION_SRCDIR=$(top_srcdir) \
524         UNINSTALLED_INTROSPECTION_BUILDDIR=$(top_builddir) \
525         $(top_builddir)/g-ir-scanner
526
527 INTROSPECTION_SCANNER_ARGS = \
528     --verbose \
529     -I$(top_srcdir) \
530     --add-include-path=$(srcdir) \
531     --add-include-path=$(top_srcdir)/gir \
532     --add-include-path=$(builddir) \
533     --add-include-path=$(top_builddir) \
534     --add-include-path=$(top_builddir)/gir
535
536
537 # GI_CROSS_LAUNCHER is the command to use for executing g-ir-compiler.
538 # Normally will be undefined but can be set (e.g. to wine or qemu)
539 # when cross-compiling
540 INTROSPECTION_COMPILER = \
541     env PATH=".libs:$(PATH)" \
542         $(GI_CROSS_LAUNCHER) \
543         $(top_builddir)/g-ir-compiler$(EXEEXT)
544
545 INTROSPECTION_COMPILER_ARGS = \
546     --includedir=$(srcdir) \
547     --includedir=$(top_srcdir)/gir \
548     --includedir=$(builddir) \
549     --includedir=$(top_builddir) \
550     --includedir=$(top_builddir)/gir
551
552 INTROSPECTION_DOCTOOL = \
553     env PATH=".libs:$(PATH)" \
554         LPATH=.libs \
555         PYTHONPATH=$(top_builddir):$(top_srcdir) \
556         UNINSTALLED_INTROSPECTION_SRCDIR=$(top_srcdir) \
557         UNINSTALLED_INTROSPECTION_BUILDDIR=$(top_builddir) \
558         $(top_builddir)/g-ir-doc-tool
559
560 INTROSPECTION_DOCTOOL_ARGS = \
561     --add-include-path=$(srcdir) \
562     --add-include-path=$(top_srcdir)/gir \
563     --add-include-path=$(builddir) \
564     --add-include-path=$(top_builddir) \
565     --add-include-path=$(top_builddir)/gir
566
567 TESTS = \
568         test_parser.py \
569         test_patterns.py
570
571 TESTS_ENVIRONMENT = env builddir=$(builddir) top_builddir=$(top_builddir) srcdir=$(srcdir) top_srcdir=$(top_srcdir) \
572         PYTHON=$(PYTHON) UNINSTALLED_INTROSPECTION_SRCDIR=$(top_srcdir)
573
574 LOG_COMPILER = $(top_srcdir)/tests/gi-tester
575 EXTRA_DIST = \
576         $(TESTS)                                \
577         README                                  \
578         tests.xsd                               \
579         gi/annotation_allow_none.xml            \
580         gi/annotation_array.xml         \
581         gi/annotation_attributes.xml            \
582         gi/annotation_closure.xml               \
583         gi/annotation_constructor.xml           \
584         gi/annotation_destroy.xml               \
585         gi/annotation_element_type.xml          \
586         gi/annotation_foreign.xml               \
587         gi/annotation_get_value_func.xml        \
588         gi/annotation_in.xml                    \
589         gi/annotation_in_out.xml                \
590         gi/annotation_method.xml                \
591         gi/annotation_not_nullable.xml          \
592         gi/annotation_out.xml                   \
593         gi/annotation_ref_func.xml              \
594         gi/annotation_rename_to.xml             \
595         gi/annotation_scope.xml         \
596         gi/annotation_set_value_func.xml        \
597         gi/annotation_skip.xml                  \
598         gi/annotation_transfer.xml              \
599         gi/annotation_type.xml                  \
600         gi/annotation_unref_func.xml            \
601         gi/annotation_value.xml         \
602         gi/annotation_virtual.xml               \
603         gi/annotations.xml                      \
604         gi/identifier.xml                       \
605         gi/identifier_section.xml               \
606         gi/identifier_symbol.xml                \
607         gi/parameter.xml                        \
608         gi/parameter_varargs.xml                \
609         gi/syntax.xml                           \
610         gi/syntax_indentation.xml               \
611         gi/syntax_multiline_annotations.xml     \
612         gi/syntax_nested_tags.xml               \
613         gi/syntax_paragraph_breaks.xml          \
614         gi/syntax_whitespace.xml                \
615         gi/tag.xml                              \
616         gi/tag_deprecated.xml                   \
617         gi/tag_description.xml                  \
618         gi/tag_returns.xml                      \
619         gi/tag_since.xml                        \
620         gi/tag_stability.xml                    \
621         gtkdoc/gobject/gtypes.h.xml             \
622         gtkdoc/gobject/gtypes.c.xml             \
623         gtkdoc/gobject/giface.h.xml             \
624         gtkdoc/gobject/giface.c.xml             \
625         gtkdoc/fail/tester.h.xml                \
626         gtkdoc/fail/tester.c.xml                \
627         gtkdoc/empty/tester.c.xml               \
628         gtkdoc/bugs/tester.h.xml                \
629         gtkdoc/bugs/tester.c.xml                \
630         gtkdoc/annotations/tester.h.xml \
631         gtkdoc/annotations/tester.c.xml \
632         gtkdoc/gobject/gobject.h.xml            \
633         gtkdoc/gobject/gobject.c.xml
634
635 all: all-am
636
637 .SUFFIXES:
638 .SUFFIXES: .log .test .test$(EXEEXT) .trs
639 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/common.mk $(am__configure_deps)
640         @for dep in $?; do \
641           case '$(am__configure_deps)' in \
642             *$$dep*) \
643               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
644                 && { if test -f $@; then exit 0; else break; fi; }; \
645               exit 1;; \
646           esac; \
647         done; \
648         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/scanner/annotationparser/Makefile'; \
649         $(am__cd) $(top_srcdir) && \
650           $(AUTOMAKE) --foreign tests/scanner/annotationparser/Makefile
651 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
652         @case '$?' in \
653           *config.status*) \
654             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
655           *) \
656             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
657             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
658         esac;
659 $(top_srcdir)/common.mk $(am__empty):
660
661 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
662         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
663
664 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
665         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
666 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
667         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
668 $(am__aclocal_m4_deps):
669
670 mostlyclean-libtool:
671         -rm -f *.lo
672
673 clean-libtool:
674         -rm -rf .libs _libs
675 tags TAGS:
676
677 ctags CTAGS:
678
679 cscope cscopelist:
680
681
682 # Recover from deleted '.trs' file; this should ensure that
683 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
684 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
685 # to avoid problems with "make -n".
686 .log.trs:
687         rm -f $< $@
688         $(MAKE) $(AM_MAKEFLAGS) $<
689
690 # Leading 'am--fnord' is there to ensure the list of targets does not
691 # expand to empty, as could happen e.g. with make check TESTS=''.
692 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
693 am--force-recheck:
694         @:
695
696 $(TEST_SUITE_LOG): $(TEST_LOGS)
697         @$(am__set_TESTS_bases); \
698         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
699         redo_bases=`for i in $$bases; do \
700                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
701                     done`; \
702         if test -n "$$redo_bases"; then \
703           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
704           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
705           if $(am__make_dryrun); then :; else \
706             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
707           fi; \
708         fi; \
709         if test -n "$$am__remaking_logs"; then \
710           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
711                "recursion detected" >&2; \
712         elif test -n "$$redo_logs"; then \
713           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
714         fi; \
715         if $(am__make_dryrun); then :; else \
716           st=0;  \
717           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
718           for i in $$redo_bases; do \
719             test -f $$i.trs && test -r $$i.trs \
720               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
721             test -f $$i.log && test -r $$i.log \
722               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
723           done; \
724           test $$st -eq 0 || exit 1; \
725         fi
726         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
727         ws='[   ]'; \
728         results=`for b in $$bases; do echo $$b.trs; done`; \
729         test -n "$$results" || results=/dev/null; \
730         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
731         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
732         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
733         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
734         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
735         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
736         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
737         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
738           success=true; \
739         else \
740           success=false; \
741         fi; \
742         br='==================='; br=$$br$$br$$br$$br; \
743         result_count () \
744         { \
745             if test x"$$1" = x"--maybe-color"; then \
746               maybe_colorize=yes; \
747             elif test x"$$1" = x"--no-color"; then \
748               maybe_colorize=no; \
749             else \
750               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
751             fi; \
752             shift; \
753             desc=$$1 count=$$2; \
754             if test $$maybe_colorize = yes && test $$count -gt 0; then \
755               color_start=$$3 color_end=$$std; \
756             else \
757               color_start= color_end=; \
758             fi; \
759             echo "$${color_start}# $$desc $$count$${color_end}"; \
760         }; \
761         create_testsuite_report () \
762         { \
763           result_count $$1 "TOTAL:" $$all   "$$brg"; \
764           result_count $$1 "PASS: " $$pass  "$$grn"; \
765           result_count $$1 "SKIP: " $$skip  "$$blu"; \
766           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
767           result_count $$1 "FAIL: " $$fail  "$$red"; \
768           result_count $$1 "XPASS:" $$xpass "$$red"; \
769           result_count $$1 "ERROR:" $$error "$$mgn"; \
770         }; \
771         {                                                               \
772           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
773             $(am__rst_title);                                           \
774           create_testsuite_report --no-color;                           \
775           echo;                                                         \
776           echo ".. contents:: :depth: 2";                               \
777           echo;                                                         \
778           for b in $$bases; do echo $$b; done                           \
779             | $(am__create_global_log);                                 \
780         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
781         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
782         if $$success; then                                              \
783           col="$$grn";                                                  \
784          else                                                           \
785           col="$$red";                                                  \
786           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
787         fi;                                                             \
788         echo "$${col}$$br$${std}";                                      \
789         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
790         echo "$${col}$$br$${std}";                                      \
791         create_testsuite_report --maybe-color;                          \
792         echo "$$col$$br$$std";                                          \
793         if $$success; then :; else                                      \
794           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
795           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
796             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
797           fi;                                                           \
798           echo "$$col$$br$$std";                                        \
799         fi;                                                             \
800         $$success || exit 1
801
802 check-TESTS:
803         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
804         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
805         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
806         @set +e; $(am__set_TESTS_bases); \
807         log_list=`for i in $$bases; do echo $$i.log; done`; \
808         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
809         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
810         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
811         exit $$?;
812 recheck: all 
813         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
814         @set +e; $(am__set_TESTS_bases); \
815         bases=`for i in $$bases; do echo $$i; done \
816                  | $(am__list_recheck_tests)` || exit 1; \
817         log_list=`for i in $$bases; do echo $$i.log; done`; \
818         log_list=`echo $$log_list`; \
819         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
820                 am__force_recheck=am--force-recheck \
821                 TEST_LOGS="$$log_list"; \
822         exit $$?
823 test_parser.py.log: test_parser.py
824         @p='test_parser.py'; \
825         b='test_parser.py'; \
826         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
827         --log-file $$b.log --trs-file $$b.trs \
828         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
829         "$$tst" $(AM_TESTS_FD_REDIRECT)
830 test_patterns.py.log: test_patterns.py
831         @p='test_patterns.py'; \
832         b='test_patterns.py'; \
833         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
834         --log-file $$b.log --trs-file $$b.trs \
835         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
836         "$$tst" $(AM_TESTS_FD_REDIRECT)
837 .test.log:
838         @p='$<'; \
839         $(am__set_b); \
840         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
841         --log-file $$b.log --trs-file $$b.trs \
842         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
843         "$$tst" $(AM_TESTS_FD_REDIRECT)
844 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
845 @am__EXEEXT_TRUE@       @p='$<'; \
846 @am__EXEEXT_TRUE@       $(am__set_b); \
847 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
848 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
849 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
850 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
851
852 distdir: $(DISTFILES)
853         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
854         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
855         list='$(DISTFILES)'; \
856           dist_files=`for file in $$list; do echo $$file; done | \
857           sed -e "s|^$$srcdirstrip/||;t" \
858               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
859         case $$dist_files in \
860           */*) $(MKDIR_P) `echo "$$dist_files" | \
861                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
862                            sort -u` ;; \
863         esac; \
864         for file in $$dist_files; do \
865           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
866           if test -d $$d/$$file; then \
867             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
868             if test -d "$(distdir)/$$file"; then \
869               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
870             fi; \
871             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
872               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
873               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
874             fi; \
875             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
876           else \
877             test -f "$(distdir)/$$file" \
878             || cp -p $$d/$$file "$(distdir)/$$file" \
879             || exit 1; \
880           fi; \
881         done
882 check-am: all-am
883         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
884 check: check-am
885 all-am: Makefile
886 installdirs:
887 install: install-am
888 install-exec: install-exec-am
889 install-data: install-data-am
890 uninstall: uninstall-am
891
892 install-am: all-am
893         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
894
895 installcheck: installcheck-am
896 install-strip:
897         if test -z '$(STRIP)'; then \
898           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
899             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
900               install; \
901         else \
902           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
903             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
904             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
905         fi
906 mostlyclean-generic:
907         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
908         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
909         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
910
911 clean-generic:
912
913 distclean-generic:
914         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
915         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
916
917 maintainer-clean-generic:
918         @echo "This command is intended for maintainers to use"
919         @echo "it deletes files that may require special tools to rebuild."
920 clean: clean-am
921
922 clean-am: clean-generic clean-libtool mostlyclean-am
923
924 distclean: distclean-am
925         -rm -f Makefile
926 distclean-am: clean-am distclean-generic
927
928 dvi: dvi-am
929
930 dvi-am:
931
932 html: html-am
933
934 html-am:
935
936 info: info-am
937
938 info-am:
939
940 install-data-am:
941
942 install-dvi: install-dvi-am
943
944 install-dvi-am:
945
946 install-exec-am:
947
948 install-html: install-html-am
949
950 install-html-am:
951
952 install-info: install-info-am
953
954 install-info-am:
955
956 install-man:
957
958 install-pdf: install-pdf-am
959
960 install-pdf-am:
961
962 install-ps: install-ps-am
963
964 install-ps-am:
965
966 installcheck-am:
967
968 maintainer-clean: maintainer-clean-am
969         -rm -f Makefile
970 maintainer-clean-am: distclean-am maintainer-clean-generic
971
972 mostlyclean: mostlyclean-am
973
974 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
975
976 pdf: pdf-am
977
978 pdf-am:
979
980 ps: ps-am
981
982 ps-am:
983
984 uninstall-am:
985
986 .MAKE: check-am install-am install-strip
987
988 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
989         clean-libtool cscopelist-am ctags-am distclean \
990         distclean-generic distclean-libtool distdir dvi dvi-am html \
991         html-am info info-am install install-am install-data \
992         install-data-am install-dvi install-dvi-am install-exec \
993         install-exec-am install-html install-html-am install-info \
994         install-info-am install-man install-pdf install-pdf-am \
995         install-ps install-ps-am install-strip installcheck \
996         installcheck-am installdirs maintainer-clean \
997         maintainer-clean-generic mostlyclean mostlyclean-generic \
998         mostlyclean-libtool pdf pdf-am ps ps-am recheck tags-am \
999         uninstall uninstall-am
1000
1001 .PRECIOUS: Makefile
1002
1003
1004 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1005 # Otherwise a system limit (for SysV at least) may be exceeded.
1006 .NOEXPORT: